cURL
curl --request POST \
--url https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription/checkout \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"priceId":"string","quantity":0,"successUrl":"string","cancelUrl":"string","isTrial":true,"clientReferenceId":"string"}'{
"url": "<string>"
}billing
Post space billingsubscriptioncheckout
Get checkout session url for a space
POST
/
space
/
{spaceId}
/
billing
/
subscription
/
checkout
cURL
curl --request POST \
--url https://app.teable.ai/api/space/%7BspaceId%7D/billing/subscription/checkout \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"priceId":"string","quantity":0,"successUrl":"string","cancelUrl":"string","isTrial":true,"clientReferenceId":"string"}'{
"url": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Returns checkout session url about a space.
Last modified on March 5, 2026
Was this page helpful?
⌘I

